using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.OutStore;
using ZR.Model.Models.OutStore;

namespace ZR.Service.Business.IBusinessService.OutStore
{
    /// <summary>
    /// 接口管理/SAP关键件清单记录表service接口
    ///
    /// @author admin
    /// @date 2023-05-05
    /// </summary>
    public interface ISapBomRecordService : IBaseService<SapBomRecord>
    {
        PagedInfo<SapBomRecordDto> GetList(SapBomRecordQueryDto parm);

        int AddSapBomRecord(SapBomRecord parm);

        int UpdateSapBomRecord(SapBomRecord parm);

        void TruncateSapBomRecord();
        string ImportDatas(List<SapBomRecord> list);

        #region 2023 0524 孙亚龙 新增
        List<SapBomRecordExtDto> GetBomList(SapBomRecordQueryNoPageDto parm);
        List<SapBomRecordDto> GetBomRecordList(string bomNo);
        #endregion
    }
}
